Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 5.1.0sp9 API Reference

## weblogic.remote.common
Class T3ServletException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--weblogic.remote.common.T3ServletException

Deprecated. Use RMI instead.

public class T3ServletException
extends java.lang.Exception

Class for T3Servlet Exceptions.

Author:
  Copyright (c) 1996-1998 by WebLogic, Inc., Copyright (c) 1999 by BEA WebXpress. All Rights Reserved.
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Constructor Summary
`T3ServletException(java.lang.String s)` Deprecated. Use RMI instead.
`T3ServletException(java.lang.String s, boolean noop)` Deprecated. Use RMI instead.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### T3ServletException

    public T3ServletException(java.lang.String s)

  Deprecated. Use RMI instead.
  Constructs a T3ServletException with the specified String.

  Parameters:
    `s` - String message

### T3ServletException

    public T3ServletException(java.lang.String s,
                              boolean noop)

  Deprecated. Use RMI instead.
  Constructs a T3ServletException with the specified String and sets options.

  Parameters:
    `s` - String message
    `noop` - True if options are set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://www.weblogic.com/docs51
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD